For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
      • GETGet payables
      • POSTCreate a payable
      • GETGet payables analytics
      • POSTUpload a payable from a file
      • GETGet payables validations
      • PUTUpdate payables validations
      • POSTReset payables validations
      • GETGet the available variables for payable email templates
      • GETGet a payable by ID
      • DELDelete a payable
      • PATCHUpdate a payable
      • POSTApprove a payable for payment
      • POSTAttach a file to a payable
      • POSTCancel a payable
      • POSTCancel OCR of a payable
      • GETView history of a payable
      • POSTMark a payable as paid
      • POSTMark a payable as partially paid
      • POSTReject a payable
      • POSTReopen a payable
      • POSTSubmit a payable for approval
      • GETGet suggestions
      • DELDelete suggestions
      • POSTValidate a payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
Accounts payablePayables

Get suggestions

GET
/payables/:payable_id/suggestions
GET
/v1/payables/:payable_id/suggestions
$curl https://api.sandbox.monite.com/v1/payables/payable_id/suggestions \
> -H "x-monite-version: 2024-05-25" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
1{
2 "suggested_counterpart": {
3 "id": "id",
4 "address_id": "address_id",
5 "bank_account_id": "bank_account_id",
6 "vat_id_id": "vat_id_id"
7 }
8}
Retrieves the most likely matching counterpart for a given payable, based on an AI-powered analysis of the payable's data. When a user uploads a payable, Monite automatically compares key fields—such as `name`, `address`, `VAT ID`, and bank `account`—against existing counterparts. If a sufficiently similar match is found, this endpoint will return a suggested counterpart. If no suitable match is identified, the response will be empty. **Note:** Suggestions are automatically generated during payable upload. This endpoint simply retrieves the existing suggestion for a specific payable.
Was this page helpful?
Previous

Delete suggestions

Next
Built with

Retrieves the most likely matching counterpart for a given payable, based on an AI-powered analysis of the payable’s data.

When a user uploads a payable, Monite automatically compares key fields—such as name, address, VAT ID, and bank account—against existing counterparts. If a sufficiently similar match is found, this endpoint will return a suggested counterpart.

If no suitable match is identified, the response will be empty.

Note: Suggestions are automatically generated during payable upload. This endpoint simply retrieves the existing suggestion for a specific payable.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

payable_idstringRequired
The unique identifier of the payable you want to find matching suggestions for.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Response

Successful Response
suggested_counterpartobject

Errors

400
Get Payables ID Suggestions Request Bad Request Error
401
Get Payables ID Suggestions Request Unauthorized Error
404
Get Payables ID Suggestions Request Not Found Error
422
Get Payables ID Suggestions Request Unprocessable Entity Error
429
Get Payables ID Suggestions Request Too Many Requests Error